#include <stdio.h>
#include <stdlib.h>
#include <locale.h>

#include <lwl.h>

int main (int argc, char *argv[])
{
  lwlh_t h;
  FILE *err_file;
  FILE *warning_file;

  setlocale (LC_TIME, "");

  err_file = fopen ("./err_file", "w");
  if (err_file == NULL)
    {
      perror ("fopen(err_file)");
      exit (EXIT_FAILURE);
    }

  warning_file = fopen ("./warning_file", "w");
  if (warning_file == NULL)
    {
      perror ("fopen(waring_file)");
      fclose (err_file);
      exit (EXIT_FAILURE);
    }

  h = lwl_alloc ();

  if (h == NULL)
    {
      perror ("lwl_alloc");
      return EXIT_FAILURE;
    }
  
  lwl_set_attributes (h, 
		      LWL_TAG_PREFIX, "MY EXAMPLE", 
		      LWL_TAG_OPTIONS, LWL_OPT_DATE | LWL_OPT_PREFIX | LWL_OPT_PRIORITY | LWL_OPT_TIME | LWL_OPT_USE_LOCALE,
		      LWL_TAG_FILE, stdout,
		      LWL_TAG_FILE_ERR, err_file,
		      LWL_TAG_FILE_WARNING, warning_file,
		      LWL_TAG_LEVEL, LWL_PRI_WARNING,
		      LWL_TAG_DONE);

  lwl_write_log (h, LWL_PRI_ERR, "try of an ERR log");
  lwl_write_log (h, LWL_PRI_DEBUG, "try of a DEBUG log");
  lwl_write_log (h, LWL_PRI_WARNING, "try of a WARNING log");

  lwl_free (h);

  fclose (warning_file);
  fclose (err_file);

  return EXIT_SUCCESS;
}
